_Write_MCP9600_Data:
;iqRF_2_ARM.c,60 :: 		char Write_MCP9600_Data(char RegAddr, char _data)
; _data start address is: 4 (R1)
; RegAddr start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; _data end address is: 4 (R1)
; RegAddr end address is: 0 (R0)
; RegAddr start address is: 0 (R0)
; _data start address is: 4 (R1)
;iqRF_2_ARM.c,62 :: 		tmp_data[0] = RegAddr;                                                        // Register address
MOVW	R2, #lo_addr(_tmp_data+0)
MOVT	R2, #hi_addr(_tmp_data+0)
STRB	R0, [R2, #0]
; RegAddr end address is: 0 (R0)
;iqRF_2_ARM.c,63 :: 		tmp_data[1] = _data;
MOVW	R2, #lo_addr(_tmp_data+1)
MOVT	R2, #hi_addr(_tmp_data+1)
STRB	R1, [R2, #0]
; _data end address is: 4 (R1)
;iqRF_2_ARM.c,64 :: 		I2C_Start();                                                                  // Issue I2C start signal
BL	_I2C_Start+0
;iqRF_2_ARM.c,65 :: 		I2C_Write(MCP9600_I2C_ADDR,tmp_data,2,END_MODE_STOP);                         // Send two bytes (tmp_data[0] and tmp_data[1])
MOVW	R3, #1
MOVS	R2, #2
MOVW	R1, #lo_addr(_tmp_data+0)
MOVT	R1, #hi_addr(_tmp_data+0)
MOVS	R0, #96
BL	_I2C_Write+0
;iqRF_2_ARM.c,66 :: 		}
L_end_Write_MCP9600_Data:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _Write_MCP9600_Data
_Read_MCP9600_Data:
;iqRF_2_ARM.c,75 :: 		char Read_MCP9600_Data(char RegAddr)
; RegAddr start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; RegAddr end address is: 0 (R0)
; RegAddr start address is: 0 (R0)
;iqRF_2_ARM.c,77 :: 		tmp_data[0] = RegAddr;                                                        // Register address
MOVW	R1, #lo_addr(_tmp_data+0)
MOVT	R1, #hi_addr(_tmp_data+0)
STRB	R0, [R1, #0]
; RegAddr end address is: 0 (R0)
;iqRF_2_ARM.c,78 :: 		I2C_Start();                                                                  // Issue I2C start signal
BL	_I2C_Start+0
;iqRF_2_ARM.c,79 :: 		I2C_Write(MCP9600_I2C_ADDR,tmp_data,1,END_MODE_RESTART);                      // Send byte (tmp_data[0])
MOVW	R3, #0
MOVS	R2, #1
MOVW	R1, #lo_addr(_tmp_data+0)
MOVT	R1, #hi_addr(_tmp_data+0)
MOVS	R0, #96
BL	_I2C_Write+0
;iqRF_2_ARM.c,80 :: 		Delay_us(50);                                                                 // delay 50 us
MOVW	R7, #599
MOVT	R7, #0
NOP
NOP
L_Read_MCP9600_Data0:
SUBS	R7, R7, #1
BNE	L_Read_MCP9600_Data0
NOP
NOP
NOP
;iqRF_2_ARM.c,81 :: 		I2C_Read(MCP9600_I2C_ADDR,tmp_data,1,END_MODE_STOP);                          // Read register data value and store it in tmp_data
MOVW	R3, #1
MOVS	R2, #1
MOVW	R1, #lo_addr(_tmp_data+0)
MOVT	R1, #hi_addr(_tmp_data+0)
MOVS	R0, #96
BL	_I2C_Read+0
;iqRF_2_ARM.c,82 :: 		return tmp_data[0];                                                           // Return MCP9600 Data value
MOVW	R1, #lo_addr(_tmp_data+0)
MOVT	R1, #hi_addr(_tmp_data+0)
LDRB	R0, [R1, #0]
;iqRF_2_ARM.c,83 :: 		}
L_end_Read_MCP9600_Data:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _Read_MCP9600_Data
_Read_MCP9600_Status:
;iqRF_2_ARM.c,92 :: 		char Read_MCP9600_Status()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;iqRF_2_ARM.c,95 :: 		tmp_data[0] = MCP9600_Status;                                                 // Register address
MOVS	R1, #4
MOVW	R0, #lo_addr(_tmp_data+0)
MOVT	R0, #hi_addr(_tmp_data+0)
STRB	R1, [R0, #0]
;iqRF_2_ARM.c,96 :: 		I2C_Start();                                                                  // Issue I2C start signal
BL	_I2C_Start+0
;iqRF_2_ARM.c,97 :: 		I2C_Write(MCP9600_I2C_ADDR,tmp_data,1,END_MODE_RESTART);                      // Send byte (tmp_data[0])
MOVW	R3, #0
MOVS	R2, #1
MOVW	R1, #lo_addr(_tmp_data+0)
MOVT	R1, #hi_addr(_tmp_data+0)
MOVS	R0, #96
BL	_I2C_Write+0
;iqRF_2_ARM.c,98 :: 		Delay_us(50);                                                                 // delay 50 us
MOVW	R7, #599
MOVT	R7, #0
NOP
NOP
L_Read_MCP9600_Status2:
SUBS	R7, R7, #1
BNE	L_Read_MCP9600_Status2
NOP
NOP
NOP
;iqRF_2_ARM.c,99 :: 		I2C_Read(MCP9600_I2C_ADDR,tmp_data,1,END_MODE_STOP);                          // Read register data value and store it in tmp_data
MOVW	R3, #1
MOVS	R2, #1
MOVW	R1, #lo_addr(_tmp_data+0)
MOVT	R1, #hi_addr(_tmp_data+0)
MOVS	R0, #96
BL	_I2C_Read+0
;iqRF_2_ARM.c,101 :: 		return DataSum;                                                               // Return MCP9600 Data value
MOVW	R0, #lo_addr(_tmp_data+0)
MOVT	R0, #hi_addr(_tmp_data+0)
LDRB	R0, [R0, #0]
;iqRF_2_ARM.c,102 :: 		}
L_end_Read_MCP9600_Status:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _Read_MCP9600_Status
_Read_Temperature:
;iqRF_2_ARM.c,111 :: 		float Read_Temperature()
SUB	SP, SP, #8
STR	LR, [SP, #0]
;iqRF_2_ARM.c,114 :: 		tmp_data[0] = MCP9600_TH;                                                     // Thermocouple Temperature register
MOVS	R1, #0
MOVW	R0, #lo_addr(_tmp_data+0)
MOVT	R0, #hi_addr(_tmp_data+0)
STRB	R1, [R0, #0]
;iqRF_2_ARM.c,115 :: 		I2C_Start();                                                                  // Issue I2C start signal
BL	_I2C_Start+0
;iqRF_2_ARM.c,116 :: 		I2C_Write(MCP9600_I2C_ADDR,tmp_data,1,END_MODE_RESTART);                      // Send byte (tmp_data[0])
MOVW	R3, #0
MOVS	R2, #1
MOVW	R1, #lo_addr(_tmp_data+0)
MOVT	R1, #hi_addr(_tmp_data+0)
MOVS	R0, #96
BL	_I2C_Write+0
;iqRF_2_ARM.c,117 :: 		Delay_us(50);                                                                 // delay 50 us
MOVW	R7, #599
MOVT	R7, #0
NOP
NOP
L_Read_Temperature4:
SUBS	R7, R7, #1
BNE	L_Read_Temperature4
NOP
NOP
NOP
;iqRF_2_ARM.c,118 :: 		I2C_Read(MCP9600_I2C_ADDR,tmp_data,2,END_MODE_STOP);                          // Read thermocouple temperature and store it in tmp_data
MOVW	R3, #1
MOVS	R2, #2
MOVW	R1, #lo_addr(_tmp_data+0)
MOVT	R1, #hi_addr(_tmp_data+0)
MOVS	R0, #96
BL	_I2C_Read+0
;iqRF_2_ARM.c,119 :: 		if((tmp_data[0] & 0x80) == 0x80){                                             // TA < 0�C
MOVW	R0, #lo_addr(_tmp_data+0)
MOVT	R0, #hi_addr(_tmp_data+0)
LDRB	R0, [R0, #0]
AND	R0, R0, #128
UXTB	R0, R0
CMP	R0, #128
IT	NE
BNE	L_Read_Temperature6
;iqRF_2_ARM.c,120 :: 		tmp_data[0] = tmp_data[0] & 0x7F;                                           // Clear SIGN
MOVW	R1, #lo_addr(_tmp_data+0)
MOVT	R1, #hi_addr(_tmp_data+0)
LDRB	R0, [R1, #0]
AND	R0, R0, #127
UXTB	R0, R0
STRB	R0, [R1, #0]
;iqRF_2_ARM.c,121 :: 		Temperature = 1024 - (tmp_data[0]*16 + tmp_data[1] / 16);
LSLS	R1, R0, #4
SXTH	R1, R1
MOVW	R0, #lo_addr(_tmp_data+1)
MOVT	R0, #hi_addr(_tmp_data+1)
LDRB	R0, [R0, #0]
LSRS	R0, R0, #4
UXTB	R0, R0
ADDS	R0, R1, R0
SXTH	R0, R0
RSB	R0, R0, #1024
SXTH	R0, R0
BL	__SignedIntegralToFloat+0
; Temperature start address is: 0 (R0)
;iqRF_2_ARM.c,122 :: 		}
; Temperature end address is: 0 (R0)
IT	AL
BAL	L_Read_Temperature7
L_Read_Temperature6:
;iqRF_2_ARM.c,124 :: 		Temperature = (tmp_data[0] * 16 + (float)tmp_data[1] / 16);                 // Temperature = Ambient Temperature (�C)
MOVW	R0, #lo_addr(_tmp_data+0)
MOVT	R0, #hi_addr(_tmp_data+0)
LDRB	R0, [R0, #0]
LSLS	R0, R0, #4
STRH	R0, [SP, #4]
MOVW	R0, #lo_addr(_tmp_data+1)
MOVT	R0, #hi_addr(_tmp_data+1)
LDRB	R0, [R0, #0]
BL	__UnsignedIntegralToFloat+0
MOV	R2, #1098907648
BL	__Div_FP+0
LDRSH	R1, [SP, #4]
STR	R0, [SP, #4]
SXTH	R0, R1
BL	__SignedIntegralToFloat+0
LDR	R2, [SP, #4]
BL	__Add_FP+0
; Temperature start address is: 4 (R1)
MOV	R1, R0
; Temperature end address is: 4 (R1)
MOV	R0, R1
L_Read_Temperature7:
;iqRF_2_ARM.c,125 :: 		return Temperature;                                                           // Return Thermocouple temperature data
; Temperature start address is: 0 (R0)
; Temperature end address is: 0 (R0)
;iqRF_2_ARM.c,126 :: 		}
L_end_Read_Temperature:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _Read_Temperature
_updateLabel:
;iqRF_2_ARM.c,136 :: 		void updateLabel(char *newText, int x, int y, char* lbl)
SUB	SP, SP, #20
STR	LR, [SP, #0]
STR	R0, [SP, #4]
STRH	R1, [SP, #8]
STRH	R2, [SP, #12]
STR	R3, [SP, #16]
;iqRF_2_ARM.c,138 :: 		TFT_Set_Font(&HandelGothic_BT21x22_Regular, CL_WHITE, FO_HORIZONTAL);         // Color of background
MOVS	R2, #0
MOVW	R1, #65535
MOVW	R0, #lo_addr(_HandelGothic_BT21x22_Regular+0)
MOVT	R0, #hi_addr(_HandelGothic_BT21x22_Regular+0)
BL	_TFT_Set_Font+0
;iqRF_2_ARM.c,139 :: 		TFT_Write_Text(lbl, x, y);                                                    // Write text on TFT display with background color
LDRSH	R2, [SP, #12]
LDRSH	R1, [SP, #8]
LDR	R0, [SP, #16]
BL	_TFT_Write_Text+0
;iqRF_2_ARM.c,140 :: 		strcpy(lbl, newText);                                                         // Copy newText to lbl
LDR	R1, [SP, #4]
LDR	R0, [SP, #16]
BL	_strcpy+0
;iqRF_2_ARM.c,141 :: 		TFT_Set_Font(&HandelGothic_BT21x22_Regular, CL_BLACK, FO_HORIZONTAL);         // Color of text
MOVS	R2, #0
MOVW	R1, #0
MOVW	R0, #lo_addr(_HandelGothic_BT21x22_Regular+0)
MOVT	R0, #hi_addr(_HandelGothic_BT21x22_Regular+0)
BL	_TFT_Set_Font+0
;iqRF_2_ARM.c,142 :: 		TFT_Write_Text(lbl, x, y);                                                    // Write text on  TFT display with black color
LDRSH	R2, [SP, #12]
LDRSH	R1, [SP, #8]
LDR	R0, [SP, #16]
BL	_TFT_Write_Text+0
;iqRF_2_ARM.c,143 :: 		}
L_end_updateLabel:
LDR	LR, [SP, #0]
ADD	SP, SP, #20
BX	LR
; end of _updateLabel
_main:
;iqRF_2_ARM.c,149 :: 		void main()
SUB	SP, SP, #4
;iqRF_2_ARM.c,154 :: 		display_init();                                                               // Initialize display
MOVS	R1, #240
MOVW	R0, #320
BL	_TFT_Init_ILI9341_8bit+0
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOE_ODR+0)
MOVT	R0, #hi_addr(GPIOE_ODR+0)
STR	R1, [R0, #0]
MOVS	R1, #1
MOVW	R0, #65535
BL	_TFT_Set_Pen+0
MOVS	R1, #0
MOVS	R0, #0
PUSH	(R1)
PUSH	(R0)
MOVS	R3, #0
MOVS	R2, #0
MOVW	R1, #65535
MOVS	R0, #1
BL	_TFT_Set_Brush+0
ADD	SP, SP, #8
MOVS	R2, #0
MOVW	R1, #0
MOVW	R0, #lo_addr(_TFT_defaultFont+0)
MOVT	R0, #hi_addr(_TFT_defaultFont+0)
BL	_TFT_Set_Font+0
MOVW	R0, #65535
BL	_TFT_Fill_Screen+0
MOVS	R1, #1
MOVW	R0, #0
BL	_TFT_Set_Pen+0
MOVS	R3, #46
SXTH	R3, R3
MOVW	R2, #300
SXTH	R2, R2
MOVS	R1, #46
SXTH	R1, R1
MOVS	R0, #20
SXTH	R0, R0
BL	_TFT_Line+0
MOVS	R3, #70
SXTH	R3, R3
MOVW	R2, #300
SXTH	R2, R2
MOVS	R1, #70
SXTH	R1, R1
MOVS	R0, #20
SXTH	R0, R0
BL	_TFT_Line+0
MOVS	R3, #220
SXTH	R3, R3
MOVW	R2, #300
SXTH	R2, R2
MOVS	R1, #220
SXTH	R1, R1
MOVS	R0, #20
SXTH	R0, R0
BL	_TFT_Line+0
MOVS	R1, #1
MOVW	R0, #65535
BL	_TFT_Set_Pen+0
MOVS	R2, #0
MOVW	R1, #63488
MOVW	R0, #lo_addr(_HandelGothic_BT21x22_Regular+0)
MOVT	R0, #hi_addr(_HandelGothic_BT21x22_Regular+0)
BL	_TFT_Set_Font+0
MOVW	R0, #lo_addr(?lstr1_iqRF_2_ARM+0)
MOVT	R0, #hi_addr(?lstr1_iqRF_2_ARM+0)
MOVS	R2, #14
MOVS	R1, #85
BL	_TFT_Write_Text+0
MOVS	R2, #0
MOVW	R1, #31
MOVW	R0, #lo_addr(_Tahoma15x16_Bold+0)
MOVT	R0, #hi_addr(_Tahoma15x16_Bold+0)
BL	_TFT_Set_Font+0
MOVW	R0, #lo_addr(?lstr2_iqRF_2_ARM+0)
MOVT	R0, #hi_addr(?lstr2_iqRF_2_ARM+0)
MOVS	R2, #50
MOVS	R1, #125
BL	_TFT_Write_Text+0
MOVS	R2, #0
MOVW	R1, #0
MOVW	R0, #lo_addr(_Verdana12x13_Regular+0)
MOVT	R0, #hi_addr(_Verdana12x13_Regular+0)
BL	_TFT_Set_Font+0
MOVW	R0, #lo_addr(?lstr3_iqRF_2_ARM+0)
MOVT	R0, #hi_addr(?lstr3_iqRF_2_ARM+0)
MOVS	R2, #223
MOVS	R1, #19
BL	_TFT_Write_Text+0
MOVS	R2, #0
MOVW	R1, #63488
MOVW	R0, #lo_addr(_Verdana12x13_Regular+0)
MOVT	R0, #hi_addr(_Verdana12x13_Regular+0)
BL	_TFT_Set_Font+0
MOVW	R0, #lo_addr(?lstr4_iqRF_2_ARM+0)
MOVT	R0, #hi_addr(?lstr4_iqRF_2_ARM+0)
MOVS	R2, #223
MOVS	R1, #200
BL	_TFT_Write_Text+0
MOVS	R2, #0
MOVW	R1, #0
MOVW	R0, #lo_addr(_Tahoma15x16_Bold+0)
MOVT	R0, #hi_addr(_Tahoma15x16_Bold+0)
BL	_TFT_Set_Font+0
;iqRF_2_ARM.c,156 :: 		TFT_Image(20, 82, Thermometer_bmp, 1);
MOVS	R3, #1
MOVW	R2, #lo_addr(_Thermometer_bmp+0)
MOVT	R2, #hi_addr(_Thermometer_bmp+0)
MOVS	R1, #82
MOVS	R0, #20
BL	_TFT_Image+0
;iqRF_2_ARM.c,157 :: 		TFT_Image(200, 100, RF_wave_bmp, 1);
MOVS	R3, #1
MOVW	R2, #lo_addr(_RF_wave_bmp+0)
MOVT	R2, #hi_addr(_RF_wave_bmp+0)
MOVS	R1, #100
MOVS	R0, #200
BL	_TFT_Image+0
;iqRF_2_ARM.c,160 :: 		I2C1_Init_Advanced(100000, &_GPIO_MODULE_I2C1_PB67);                          // Initialize I2C
MOVW	R1, #lo_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVW	R0, #34464
MOVT	R0, #1
BL	_I2C1_Init_Advanced+0
;iqRF_2_ARM.c,161 :: 		Delay_ms(200);
MOVW	R7, #40703
MOVT	R7, #36
NOP
NOP
L_main8:
SUBS	R7, R7, #1
BNE	L_main8
NOP
NOP
NOP
;iqRF_2_ARM.c,167 :: 		&_GPIO_MODULE_USART3_PD89);
MOVW	R0, #lo_addr(__GPIO_MODULE_USART3_PD89+0)
MOVT	R0, #hi_addr(__GPIO_MODULE_USART3_PD89+0)
PUSH	(R0)
;iqRF_2_ARM.c,166 :: 		_UART_ONE_STOPBIT,
MOVW	R3, #0
;iqRF_2_ARM.c,165 :: 		_UART_NOPARITY,
MOVW	R2, #0
;iqRF_2_ARM.c,164 :: 		_UART_8_BIT_DATA,
MOVW	R1, #0
;iqRF_2_ARM.c,163 :: 		UART3_Init_Advanced(9600,                                                     // Initialize UART
MOVW	R0, #9600
;iqRF_2_ARM.c,167 :: 		&_GPIO_MODULE_USART3_PD89);
BL	_UART3_Init_Advanced+0
ADD	SP, SP, #4
;iqRF_2_ARM.c,168 :: 		Delay_ms(100);
MOVW	R7, #20351
MOVT	R7, #18
NOP
NOP
L_main10:
SUBS	R7, R7, #1
BNE	L_main10
NOP
NOP
NOP
;iqRF_2_ARM.c,177 :: 		Delay_ms( 2000 );
MOVW	R7, #13823
MOVT	R7, #366
NOP
NOP
L_main12:
SUBS	R7, R7, #1
BNE	L_main12
NOP
NOP
NOP
;iqRF_2_ARM.c,178 :: 		UART3_Write_Text("L");
MOVW	R0, #lo_addr(?lstr5_iqRF_2_ARM+0)
MOVT	R0, #hi_addr(?lstr5_iqRF_2_ARM+0)
BL	_UART3_Write_Text+0
;iqRF_2_ARM.c,179 :: 		while(1)
L_main14:
;iqRF_2_ARM.c,183 :: 		status = &Read_MCP9600_Status;
MOVS	R1, #lo_addr(_Read_MCP9600_Status+0)
MOVW	R0, #lo_addr(_status+0)
MOVT	R0, #hi_addr(_status+0)
STRB	R1, [R0, #0]
;iqRF_2_ARM.c,184 :: 		Temp_Data_Ready = (status & 0x40);
LDRB	R0, [R0, #0]
AND	R1, R0, #64
MOVW	R0, #lo_addr(_Temp_Data_Ready+0)
MOVT	R0, #hi_addr(_Temp_Data_Ready+0)
STRB	R1, [R0, #0]
;iqRF_2_ARM.c,186 :: 		temp =  Read_Temperature();
BL	_Read_Temperature+0
; temp start address is: 12 (R3)
MOV	R3, R0
;iqRF_2_ARM.c,188 :: 		if (Temp_Data_Ready)
MOVW	R0, #lo_addr(_Temp_Data_Ready+0)
MOVT	R0, #hi_addr(_Temp_Data_Ready+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_main16
;iqRF_2_ARM.c,190 :: 		sprintf(txt, "%2.1f  C", temp);                                           // Format Temperature Data and store it to txt
MOV	R2, R3
MOVW	R1, #lo_addr(?lstr_6_iqRF_2_ARM+0)
MOVT	R1, #hi_addr(?lstr_6_iqRF_2_ARM+0)
MOVW	R0, #lo_addr(_txt+0)
MOVT	R0, #hi_addr(_txt+0)
STR	R3, [SP, #0]
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
;iqRF_2_ARM.c,191 :: 		res = strcmp(txt,old_txt);                                                // Compare old_txt and txt
MOVW	R1, #lo_addr(_old_txt+0)
MOVT	R1, #hi_addr(_old_txt+0)
MOVW	R0, #lo_addr(_txt+0)
MOVT	R0, #hi_addr(_txt+0)
BL	_strcmp+0
LDR	R3, [SP, #0]
;iqRF_2_ARM.c,193 :: 		if(res != 0)                                                              // If old_txt and txt are not equal
UXTB	R0, R0
CMP	R0, #0
IT	EQ
BEQ	L_main17
;iqRF_2_ARM.c,195 :: 		updateLabel(txt, 135, 90, lab1);                                        // Write temperature value on display
STR	R3, [SP, #0]
MOVW	R3, #lo_addr(_lab1+0)
MOVT	R3, #hi_addr(_lab1+0)
MOVS	R2, #90
SXTH	R2, R2
MOVS	R1, #135
SXTH	R1, R1
MOVW	R0, #lo_addr(_txt+0)
MOVT	R0, #hi_addr(_txt+0)
BL	_updateLabel+0
;iqRF_2_ARM.c,196 :: 		strcpy(old_txt,txt);                                                    // Copy txt to old_txt string array
MOVW	R1, #lo_addr(_txt+0)
MOVT	R1, #hi_addr(_txt+0)
MOVW	R0, #lo_addr(_old_txt+0)
MOVT	R0, #hi_addr(_old_txt+0)
BL	_strcpy+0
LDR	R3, [SP, #0]
;iqRF_2_ARM.c,197 :: 		}
L_main17:
;iqRF_2_ARM.c,198 :: 		}
L_main16:
;iqRF_2_ARM.c,200 :: 		if (temp <= LOW_TEMP_POINT)                                                 // If low temperature point has been reached
MOVW	R0, #0
MOVT	R0, #16800
MOV	R2, R3
BL	__Compare_FP+0
MOVW	R0, #0
BLT	L__main32
MOVS	R0, #1
L__main32:
CMP	R0, #0
IT	EQ
BEQ	L_main18
; temp end address is: 12 (R3)
;iqRF_2_ARM.c,202 :: 		if (!low_point_reached)
MOVW	R0, #lo_addr(_low_point_reached+0)
MOVT	R0, #hi_addr(_low_point_reached+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	NE
BNE	L_main19
;iqRF_2_ARM.c,204 :: 		UART3_Write_Text("L");                                                    // Send byte via UART
MOVW	R0, #lo_addr(?lstr7_iqRF_2_ARM+0)
MOVT	R0, #hi_addr(?lstr7_iqRF_2_ARM+0)
BL	_UART3_Write_Text+0
;iqRF_2_ARM.c,205 :: 		}
L_main19:
;iqRF_2_ARM.c,206 :: 		low_point_reached = true;
MOVS	R1, #1
MOVW	R0, #lo_addr(_low_point_reached+0)
MOVT	R0, #hi_addr(_low_point_reached+0)
STRB	R1, [R0, #0]
;iqRF_2_ARM.c,208 :: 		}
IT	AL
BAL	L_main20
L_main18:
;iqRF_2_ARM.c,209 :: 		else if (temp >= HIGH_TEMP_POINT)                                           // If high temperature point has been reached
; temp start address is: 12 (R3)
MOVW	R0, #0
MOVT	R0, #16880
MOV	R2, R3
BL	__Compare_FP+0
MOVW	R0, #0
BGT	L__main33
MOVS	R0, #1
L__main33:
; temp end address is: 12 (R3)
CMP	R0, #0
IT	EQ
BEQ	L_main21
;iqRF_2_ARM.c,211 :: 		if(!high_point_reached)
MOVW	R0, #lo_addr(_high_point_reached+0)
MOVT	R0, #hi_addr(_high_point_reached+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	NE
BNE	L_main22
;iqRF_2_ARM.c,213 :: 		UART3_Write_Text("H");                                                    // Send byte via UART
MOVW	R0, #lo_addr(?lstr8_iqRF_2_ARM+0)
MOVT	R0, #hi_addr(?lstr8_iqRF_2_ARM+0)
BL	_UART3_Write_Text+0
;iqRF_2_ARM.c,214 :: 		}
L_main22:
;iqRF_2_ARM.c,215 :: 		high_point_reached = true;
MOVS	R1, #1
MOVW	R0, #lo_addr(_high_point_reached+0)
MOVT	R0, #hi_addr(_high_point_reached+0)
STRB	R1, [R0, #0]
;iqRF_2_ARM.c,217 :: 		}
IT	AL
BAL	L_main23
L_main21:
;iqRF_2_ARM.c,220 :: 		low_point_reached = false;
MOVS	R1, #0
MOVW	R0, #lo_addr(_low_point_reached+0)
MOVT	R0, #hi_addr(_low_point_reached+0)
STRB	R1, [R0, #0]
;iqRF_2_ARM.c,221 :: 		high_point_reached = false;
MOVS	R1, #0
MOVW	R0, #lo_addr(_high_point_reached+0)
MOVT	R0, #hi_addr(_high_point_reached+0)
STRB	R1, [R0, #0]
;iqRF_2_ARM.c,222 :: 		}
L_main23:
L_main20:
;iqRF_2_ARM.c,223 :: 		Delay_ms(500);
MOVW	R7, #36223
MOVT	R7, #91
NOP
NOP
L_main24:
SUBS	R7, R7, #1
BNE	L_main24
NOP
NOP
NOP
;iqRF_2_ARM.c,250 :: 		}
IT	AL
BAL	L_main14
;iqRF_2_ARM.c,252 :: 		}
L_end_main:
L__main_end_loop:
B	L__main_end_loop
; end of _main
